Get all products
Retrieves a list of all products.
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard. Send it together with X-Publishable-Key.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/subscriptions/products"{ "products": [ { "id": "sp_Tlj0Osm0N76T", "name": "Bolt Subscription Product", "description": "This is a subscription product.", "merchant_product_id": "string", "merchant_variant_id": "string", "sku": "BOLT-12345", "unit_price": 1999, "currency": "USD", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "plans": [ { "id": "spl_ba_PpkW16oIW", "name": "Monthly Subscription", "sku": "BOLT-12345", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "frequency": 1, "product_id": "sp_Tlj0Osm0N76T", "frequency_unit": "month", "initial_period": { "frequency": 2, "frequency_unit": "week" }, "checkout_link": "https://your_site.c.boltapp.com/g?merchant_product_id=37&merchant_variant_id=67&publishable_key=BQ9PKQksUGtj.Q9LwVLfV3WF4.32122926f7b9651a416a5099dc92dc2b4c87c8b922c114229f83b345d65f1195", "base_price": 3000, "ubb": true, "usage_pricing": [ { "meter_name": "API Calls", "event_type": "api_call", "aggregation_type": "sum", "charge_model": "per_unit", "charge_config": {}, "currency": "USD" } ], "status": "active", "currency": "USD", "trial": { "trial_days": 14 }, "usage": { "meter_id": 0, "charge_model": "string", "charge_config": {}, "sessions": [ { "duration": 0, "duration_unit": "string", "alert_threshold": "string" } ] } } ], "images": [ "https://example.com/image1.jpg", "https://example.com/image2.jpg" ], "brand": "string", "family": "string", "taxable": true, "tax_code": "string", "tax_behavior": "string", "unit_label": "string", "metadata": {}, "marketing_features": [ "string" ], "status": "draft", "activated_at": "2019-08-24T14:15:22Z" } ]}Generate Onboarding Link POST
Generate a sharable onboarding link for sub-merchants to complete their own onboarding process. **Content-Type**: `application/json` **Authentication**: `X-API-Key` header required **Purpose**: This endpoint is designed for platforms to generate self-onboarding links that they can share with their sub-merchants. The sub-merchants can then use these links to complete their onboarding independently. **Link Expiry**: Generated links expire after 7 days for security purposes.
Create a product POST
Creates a new product with associated plans.